Download it now!
Bug 71095 - EDITING: Calc doesn't paste images copied from some web browsers
Summary: EDITING: Calc doesn't paste images copied from some web browsers
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.5.0 target:4.4.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-31 15:52 UTC by Juan Rey
Modified: 2015-03-05 12:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Rey 2013-10-31 15:52:48 UTC
When I try to paste an web image copied from web browser, calc does nothing... 

Really, by default it pastes it as "Formated HTLM" instead of "Bitmap" as writer does.

( You can use "Paste special" as a workaround, but it is an inconsistent behavior with writer )

Steps to reproduce:

- Select an image in your browser (Firefox/Chrome tested)
- Select "Copy image" option
- Try to paste it in calc... id does nothing

              
Operating System: Windows XP
Version: 4.1.2.3 release
Comment 1 Jean-Baptiste Faure 2013-11-03 17:29:59 UTC
Reproducible with LO 4.1.4.0.0+ under Ubuntu 13.10 x86-64.
Indeed this behavior is weird. On my test, I was asked to choose the language for the import. In the case of an image the choice bitmap in the Paste special should be the default.

Best regards. JBF
Comment 2 tommy27 2014-01-05 20:40:18 UTC
tested under Win7 64bit, copyng and pasting images from this URL:
http://www.libreoffice.org/home/Discover

very old issue, affects all LibO versions from beginning to current 4.1.4 and 4.2.0RC1. bug is inherited from OOo 3.3.0 and is still present in AOO 4.0.0

bug also depends on the browser:

Internet Explorer 11 --> image copied from web can't be pasted in Calc
(interestingly the same image can be pasted in Writer)

Opera 12.16 --> image copied from web can be pasted in Calc
Comment 3 Commit Notification 2015-02-27 12:08:51 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b05330c64799067ca2e0b8ea8bfdee8ce8b023b2

Resolves tdf#71095 Calc doesn't paste images copied from some web browsers

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Timur 2015-02-27 16:32:40 UTC
Please comment for the backport to 4.4 and even 4.3. Thank you.
Comment 5 Commit Notification 2015-03-05 12:01:08 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=997195580a4436409c752a357391107ffd91119e&h=libreoffice-4-4

Resolves tdf#71095 Calc doesn't paste images copied from some web browsers

It will be available in 4.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.